SiT! Bugs

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000776SiT!sites & contactspublic2009-07-16 11:162009-08-16 14:39
Reportersancho78rus 
Assigned Tokieran 
PrioritynormalSeverityfeatureReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version3.50Fixed in Version3.50 
Summary0000776: quick link to google maps
Descriptionit would be better, if there were quick links to google maps from site information page, from incedent page and from other places where it needs.
TagsNo tags attached.
Attached Files

- Relationships
related to 0000055closed Integrate with online mapping services 
child of 0001436closedTomse Address to google map only links post number 

-  Notes
(0001319)
sancho78rus (reporter)
2009-07-16 14:21

and it would be perfect if we can see all selected incidents (or incidents only for today) on the map
User avatar (0001320)
kieran (administrator)
2009-07-16 15:06

That we can't do I'm afraid. Google maps requires an API per-installation which just isn't possible.
User avatar (0001321)
kieran (administrator)
2009-07-16 15:06

I added the link to google maps on the site page though, available for 3.50.
User avatar (0001332)
paulh (administrator)
2009-07-16 19:18

Is their anything against us shipping code to do this though requiring the API key to be generate by the site and set as a config variable?

The only problem I came across was that to get a free API key the maps had to be public, to have them private you had to purchase a key
User avatar (0001333)
ivan (administrator)
2009-07-16 20:58

http://www.openlayers.org/ [^]
User avatar (0001532)
ivan (administrator)
2009-08-15 09:45

As a quick link this has been implemented and will be available for 3.50
User avatar (0001695)
ivan (administrator)
2009-08-16 14:39

Released in 3.50rc1

- Issue History
Date Modified Username Field Change
2009-07-16 11:16 sancho78rus New Issue
2009-07-16 11:28 ivan Relationship added related to 0000055
2009-07-16 14:21 sancho78rus Note Added: 0001319
2009-07-16 15:06 kieran Note Added: 0001320
2009-07-16 15:06 kieran Note Added: 0001321
2009-07-16 19:18 paulh Note Added: 0001332
2009-07-16 20:58 ivan Note Added: 0001333
2009-08-15 09:45 ivan Note Added: 0001532
2009-08-15 09:45 ivan Status new => resolved
2009-08-15 09:45 ivan Fixed in Version => Current SVN
2009-08-15 09:45 ivan Resolution open => fixed
2009-08-15 09:45 ivan Assigned To => ivan
2009-08-15 09:46 ivan Assigned To ivan => kieran
2009-08-15 09:46 ivan Target Version => 3.50
2009-08-16 13:15 ivan Fixed in Version Current SVN => 3.50
2009-08-16 14:39 ivan Note Added: 0001695
2009-08-16 14:39 ivan Status resolved => closed
2011-01-13 16:13 ivan Relationship added child of 0001436


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker